Package com.opensymphony.module.sitemesh.html

# Interface Text

All Known Implementing Classes:
  `Parser.ReusableToken`

public interface Text
Text returned by HTMLTagTokenizer.

Author:
  Joe Walnes
See Also:
  - `TokenHandler`
  - `TagTokenizer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContents()`
Get the complete contents of the text block, preserving original formatting.
`void`
`writeTo(CharArray out)`
Write out the complete contents of the text block, preserving original formatting.

## Method Details

### getContents

String getContents()
Get the complete contents of the text block, preserving original formatting. This has a slight overhead in that it needs to construct a String. For improved performance, use writeTo() instead.

See Also:
  - `writeTo(com.opensymphony.module.sitemesh.html.util.CharArray)`

### writeTo

void writeTo(CharArray out)
Write out the complete contents of the text block, preserving original formatting.